DROP TABLE IF EXISTS "Worlds";
CREATE TABLE "Worlds" (

	"unlocked" BOOL,
	"position" INTEGER,
	"id" INTEGER PRIMARY KEY AUTOINCREMENT  NOT NULL
);

DROP TABLE IF EXISTS "Levels";
CREATE TABLE "Levels" (

	"world" INTEGER,	
	"stars" INTEGER,
	"skipped" BOOL,
	"position" INTEGER,
	"id" INTEGER PRIMARY KEY AUTOINCREMENT  NOT NULL
);

DROP TABLE IF EXISTS "Users";
CREATE TABLE "Users" (

	"skips" INTEGER,
	"lives" INTEGER,
	--"extra_lives" INTEGER,
	--"energy_empty_date" DATETIME,
	"daily_reward_last_date" DATETIME,
	"daily_reward_index" INTEGER,
	"coins" INTEGER,
	"first_coins" INTEGER DEFAULT 0,
	--"free_refill" INTEGER DEFAULT 0,
	"tickets" INTEGER,
	"kill_count" INTEGER,
	"headshot_count" INTEGER,
	"shot_count" INTEGER,
	"playing_time" DOUBLE,
	"id" INTEGER PRIMARY KEY AUTOINCREMENT  NOT NULL
);

DROP TABLE IF EXISTS "VIPs";
CREATE TABLE 'VIPs' (
    'enabled' INTEGER DEFAULT 0,
    'day' INTEGER DEFAULT 0,
    'introductory' INTEGER DEFAULT 0,
    'last_date' DATETIME,
    'expiration' DATETIME,
    'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL
);

DROP TABLE IF EXISTS "PowerUps";
CREATE TABLE 'PowerUps' (
    'type' INTEGER DEFAULT 0,
    'count' INTEGER DEFAULT 0,
    'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL
);

DROP TABLE IF EXISTS "MiniGames";
CREATE TABLE 'MiniGames' (
    'score' INTEGER,
    'reference_id' INTEGER,
    'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL
);

DROP TABLE IF EXISTS "OnlineMiniGames";
CREATE TABLE 'OnlineMiniGames' (
    'score' INTEGER,
    'wins' INTEGER,
    'loses' INTEGER,
    'reference_id' INTEGER,
    'draws' INTEGER,
    'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL
);

DROP TABLE IF EXISTS "ContentLocks";
CREATE TABLE 'ContentLocks' (
    'reference_id' INTEGER,
    'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL
);